Show / Hide Table of Contents

# Class FontAwesomeExtensions

##### Inheritance

System.Object
FontAwesomeExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public static class FontAwesomeExtensions

### Methods

| Improve this Doc View Source

#### ToIconChar(FontAwesomeIcon)

##### Declaration

    public static char ToIconChar(this FontAwesomeIcon icon)

##### Parameters

Type | Name | Description
--- | --- | ---
FontAwesomeIcon | icon |

##### Returns

Type | Description
--- | ---
System.Char |

| Improve this Doc View Source

#### ToIconString(FontAwesomeIcon)

##### Declaration

    public static string ToIconString(this FontAwesomeIcon icon)

##### Parameters

Type | Name | Description
--- | --- | ---
FontAwesomeIcon | icon |

##### Returns

Type | Description
--- | ---
System.String |